Bug 251949 - sysutils/terraform: Update to 0.14.8
Summary: sysutils/terraform: Update to 0.14.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-12-19 00:51 UTC by Brad Davis
Modified: 2021-05-05 15:25 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lifanov)


Attachments
patch (44.60 KB, patch)
2020-12-19 00:51 UTC, Brad Davis
no flags Details | Diff
updated patch (44.59 KB, patch)
2020-12-19 01:01 UTC, Brad Davis
no flags Details | Diff
updated patch (44.60 KB, patch)
2020-12-19 01:15 UTC, Brad Davis
no flags Details | Diff
build log (84.31 KB, text/plain)
2020-12-19 01:16 UTC, Brad Davis
no flags Details
updated patch (40.63 KB, patch)
2021-02-03 14:14 UTC, Brad Davis
no flags Details | Diff
updated patch (40.63 KB, patch)
2021-03-12 20:32 UTC, Brad Davis
no flags Details | Diff
updated patch (40.59 KB, patch)
2021-04-17 16:53 UTC, Brad Davis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Davis freebsd_committer 2020-12-19 00:51:26 UTC
Created attachment 220705 [details]
patch

I have attempted to update the port, but I am encountering this build failure:

# github.com/coreos/etcd/clientv3                       
vendor/github.com/coreos/etcd/clientv3/health_balancer.go:54:10: undefined: grpc.Address
vendor/github.com/coreos/etcd/clientv3/health_balancer.go:60:18: undefined: grpc.Address
vendor/github.com/coreos/etcd/clientv3/health_balancer.go:137:54: undefined: grpc.BalancerConfig
vendor/github.com/coreos/etcd/clientv3/health_balancer.go:208:41: undefined: grpc.Address
vendor/github.com/coreos/etcd/clientv3/health_balancer.go:383:34: undefined: grpc.Address
vendor/github.com/coreos/etcd/clientv3/health_balancer.go:434:38: undefined: grpc.Address
vendor/github.com/coreos/etcd/clientv3/health_balancer.go:470:56: undefined: grpc.BalancerGetOptions
vendor/github.com/coreos/etcd/clientv3/health_balancer.go:470:82: undefined: grpc.Address
vendor/github.com/coreos/etcd/clientv3/health_balancer.go:518:44: undefined: grpc.Address
vendor/github.com/coreos/etcd/clientv3/health_balancer.go:577:22: undefined: grpc.Address
vendor/github.com/coreos/etcd/clientv3/health_balancer.go:577:22: too many errors


Maybe someone else will be able to fix it.
Comment 1 Brad Davis freebsd_committer 2020-12-19 01:01:18 UTC
Created attachment 220706 [details]
updated patch

I fixed that error, but now I have:

# k8s.io/klog                                                                                                                    
vendor/k8s.io/klog/klog.go:1280:34: cannot use logging.logr.V(int(level)) (type logr.InfoLogger) as type logr.Logger in field value:
        logr.InfoLogger does not implement logr.Logger (missing Error method)
Comment 2 Brad Davis freebsd_committer 2020-12-19 01:15:40 UTC
Created attachment 220707 [details]
updated patch

I got it working!
Comment 3 Brad Davis freebsd_committer 2020-12-19 01:16:08 UTC
Created attachment 220708 [details]
build log
Comment 4 Automation User 2021-01-03 00:12:21 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/236655209
Comment 5 Brad Davis freebsd_committer 2021-02-03 14:14:10 UTC
Created attachment 222111 [details]
updated patch

New patch to update to 0.14.5
Comment 6 Brad Davis freebsd_committer 2021-03-12 20:32:12 UTC
Created attachment 223222 [details]
updated patch

Updated patch for 0.14.8
Comment 7 Brad Davis freebsd_committer 2021-04-17 16:53:03 UTC
Created attachment 224196 [details]
updated patch

Update to 0.14.10
Comment 8 Rene Ladan freebsd_committer 2021-05-04 16:14:57 UTC
Maintainer reset.
Comment 9 commit-hook freebsd_committer 2021-05-05 15:25:30 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b5bf2541c6327166b455d98e4d3ce94d9891dff8

commit b5bf2541c6327166b455d98e4d3ce94d9891dff8
Author:     Brad Davis <brd@FreeBSD.org>
AuthorDate: 2021-05-05 15:15:29 +0000
Commit:     Mateusz Piotrowski <0mp@FreeBSD.org>
CommitDate: 2021-05-05 15:24:39 +0000

    sysutils/terraform: Update to 0.14.10

    PR:             251949

 sysutils/terraform/Makefile | 161 +++++++++++++++++++++-
 sysutils/terraform/distinfo | 318 +++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 475 insertions(+), 4 deletions(-)
Comment 10 Mateusz Piotrowski freebsd_committer 2021-05-05 15:25:54 UTC
Committed, thanks!